Skip to main content
POST
cURL

Field support per integration

This endpoint is asynchronous. The response returns a taskId. Use /asyncTask/{taskId} to check the task status and obtain the final result once it is ready.
Supported request parameters:
Address[]
Only one address is allowed.
string
Required for contact type COMPANY. At most 100 characters.
ContactPerson[]
Required for contact type CONTACT_PERSON. Only one contact person is allowed.
enum
required
Available options: CONTACT_PERSON, COMPANY
EmailAddress[]
Only used for contact type COMPANY. Only one email address is allowed.
string
A whole number with at most 10 digits. If you leave it out, Abacus picks the number.
PhoneNumber[]
Only used for contact type COMPANY. At most one BUSINESS and one MOBILE number.

Headers

X-API-KEY
string
required

API key

X-ACCOUNT-KEY
string
required

Account key

Body

application/json
contactType
enum<string>
required
Available options:
CONTACT_PERSON,
COMPANY
Example:

"CONTACT_PERSON"

addresses
object[]
bankAccounts
object[]
businessRegistrationNumber
string
Example:

"12345678"

companyName
string
Example:

"maesn"

contactPersons
object[]
emailAddresses
object[]
isCustomer
boolean
Example:

true

isSupplier
boolean
Example:

false

number
string
Example:

"1042"

parentId
string
Example:

"3b1e4c72-9d8a-42f5-9c6b-1a7f0e5d8c34"

phoneNumbers
object[]
projectId
string
Example:

"3"

vatId
string
Example:

"DE123456789"

website
string
Example:

"https://www.maesn.com"

Response

202 - application/json
meta
object
data
object
Last modified on November 2, 2026